using FluentValidation;

namespace CMSMicroservice.Application.DiscountShopCQ.Commands.AddToCart;

public class AddToCartCommandValidator : AbstractValidator<AddToCartCommand>
{
    public AddToCartCommandValidator()
    {
        RuleFor(v => v.UserId)
            .GreaterThan(0).WithMessage("شناسه کاربر نامعتبر است");

        RuleFor(v => v.ProductId)
            .GreaterThan(0).WithMessage("شناسه محصول نامعتبر است");

        RuleFor(v => v.Count)
            .GreaterThan(0).WithMessage("تعداد باید بیشتر از صفر باشد");
    }
}
